Search documentation of polar_express

# PolarExpress.Services.EventTypesService (polar_express v0.1.5)

Copy Markdown View Source

Event-types

EventTypes API operations.

## Summary

### Functions

list_event_types(client, params \\ %{}, opts \\ [])

List Event Types

update_event_type(client, id, params \\ %{}, opts \\ [])

Update Event Type

## Functions

# list_event_types(client, params \\ %{}, opts \\ [])

    @spec list_event_types(PolarExpress.Client.t(), map(), keyword()) ::
      {:ok, PolarExpress.ListObject.t()} | {:error, PolarExpress.Error.t()}

List Event Types

List event types with aggregated statistics.

Scopes: `events:read` `events:write`

See `PolarExpress.Params.EventTypesListEventTypesParams` for parameter details.

# update_event_type(client, id, params \\ %{}, opts \\ [])

    @spec update_event_type(PolarExpress.Client.t(), String.t(), map(), keyword()) ::
      {:ok, PolarExpress.Schemas.EventType.t()} | {:error, PolarExpress.Error.t()}

Update Event Type

Update an event type's label.

See `PolarExpress.Params.EventTypesUpdateEventTypeParams` for parameter details.